﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;
using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;
using DynamicColumns.Models;
using System.Data;

namespace DynamicColumns.Controllers
{
	public partial class DataController : Controller
    {
		public ActionResult Spreadsheet_Read()
		{
            var result = new List<ViewModel>();

            for (int i = 0; i < 50; i++)
            {
                var newItem = new ViewModel();
                newItem.Id = i;
                newItem.Group = "Group " + i.ToString();
                newItem.Type = "Type " + i.ToString();
                newItem.Date = DateTime.Now;
                result.Add(newItem);
            }

			return Json(result, JsonRequestBehavior.AllowGet);
		}

        public ActionResult GetFieldsForSpreadsheet()
        {
            var result = new List<ColumnSettings>()
            {
                new ColumnSettings() { ColumnName = "Id", Title = "Title Id", ColType = "number" },
                new ColumnSettings() { ColumnName = "Group", Title = "Title GROUP", ColType = "string" },
                new ColumnSettings() { ColumnName = "Date", Title = "Date", ColType = "date" }
            };

            return Json(new { Data = result }, JsonRequestBehavior.AllowGet);
        }
    }
}
